Subject: Re: glibc-2.5 test suite hangs/crashes the machine

From: Jeff Bailey <[email-masked]>
Date: Fri, 27 Oct 2006 12:22:33 -0400

Le vendredi 27 octobre 2006 à 07:56 +0200, Fabio Massimo Di Nitto a
écrit :
> Hi everybody,
> 
> i am in the process of bootstrapping the new toolchain for ubuntu and I am
> hitting a problem building glibc-2.5 on ppc.
> 
> This behaviour has been reproduced on 2.6.15/2.6.17 and 2.6.19-rc2 (where the
> machine crashes) and with ppc32 and ppc64 kernels.
> A hard reboot of the machine is required to get rid of the Zl processes hanging
> around that keep spinning the CPU at 100%.
> 
> I did place sources here: http://people.ubuntu.com/~fabbione/benh/
> 
> but i start to believe it is a kernel bug we are exploiting only now.
> 
> Any hint or help for what to look for would be extremely appreciated.

Heya Fabio, just an update, it looks like the tests that are zombie'ing
are the nptl tst-robust[1-8] tests.  According to /proc/##/wchan, the
tasks are cheerfully spinning in do_exit.

If there's other info I can get you, lemme know.

-- 
Jeff Bailey
Manager, Technical Support
Canonical Ltd. - Sales, Service, and Support.
+1 514 940-8910
http://www.ubuntu.com/